dotenv .env

OLD_PYTHON=`which python`
VENV_PATH=$HOME/venvs/msvenv

if [ ! -d "$VENV_PATH" ]; then
   virtualenv $VENV_PATH
fi

source $VENV_PATH/bin/activate
NEW_PYTHON=`which python`

if [ "$OLD_PYTHON" != "$NEW_PYTHON" ]; then # don't quote the variables, to strip the newline
   echo "Virtualenv changed"
   echo "  from $OLD_PYTHON"
   echo "  to   $NEW_PYTHON"
fi